Bug 1547446 - Pause/Resume of geo-replication with wrong user specified returns success
Summary: Pause/Resume of geo-replication with wrong user specified returns success
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: 3.12
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Sunny Kumar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1550936 1557297
TreeView+ depends on / blocked
 
Reported: 2018-02-21 10:47 UTC by Marcus Pedersén
Modified: 2018-10-23 14:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1550936 1557297 (view as bug list)
Environment:
Last Closed: 2018-10-23 14:47:33 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Marcus Pedersén 2018-02-21 10:47:56 UTC
Description of problem:
Geo-replication setup with other user then root on slave node,
as described in documentation:
http://docs.gluster.org/en/latest/Administrator%20Guide/Geo%20Replication/
If you run pause or resume on geo-replication with wrong user,
other user then you setup, you will get pause/resume success even
if it does not work.
To make it work again you need to restart glusterd on all nodes.

Version-Release number of selected component (if applicable):
glusterfs 3.12.5 (all packages)

How reproducible:
If geo-replication is setup with user geoaccount, run:
gluster volume geo-replication [volume_name] anotheruser@[main_slave_node]::[volume_name] pause
Returns:
Pausing geo-replication session between [volume_name] & anotheruser@main_slave_node]::[volume_name] has been successful
If you create a snapshot you will get the error that you need to stop geo-replication first.
So geo-replication does not pause

Steps to Reproduce:
1. gluster volume geo-replication [volume_name] anotheruser@[main_slave_node]::[volume_name] pause
2. gluster snapshot create [snap_name] [volume_name]

Actual results:
Geo-replication returns success with exit code 0 even if wrong user or no user (root) is specified at pause/resume when geo-replication user is setup.


Expected results:
Return code != 0 and an error message saying that wrong user is specified

Additional info:
Have not tested with root user for geo-replication and specifying another user at pause/resume

Comment 1 Worker Ant 2018-03-02 09:29:25 UTC
REVIEW: https://review.gluster.org/19658 (georep : Pause/Resume of geo-replication with wrong user) posted (#1) for review on master by Sunny Kumar

Comment 2 Worker Ant 2018-03-02 10:21:56 UTC
REVISION POSTED: https://review.gluster.org/19658 (georep : Pause/Resume of geo-replication with wrong user) posted (#2) for review on master by Sunny Kumar

Comment 3 Shyamsundar 2018-10-23 14:47:33 UTC
Fix is present in releases 4.0 onwards, and 3.12 has reached EOL, request reports to update to the latest release for the required fix.


Note You need to log in before you can comment on or make changes to this bug.